Skip to main content
`Ctrl`+`K`

# PetscViewerHDF5SetDefaultTimestepping

Set the flag for default timestepping

## Synopsis

    PetscErrorCode PetscViewerHDF5SetDefaultTimestepping(PetscViewer viewer, PetscBool flg)

Logically Collective

## Input Parameters

- viewer - the `PetscViewer`; if it is not `PETSCVIEWERHDF5` then this command is ignored

- flg - if `PETSC_TRUE` we will assume that timestepping is on

## Options Database Key

- -viewer_hdf5_default_timestepping - turns on (true) or off (false) default timestepping

## Note

If the timestepping attribute is not found for an object, then the default timestepping is used

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERHDF5`, `PetscViewerHDF5GetDefaultTimestepping()`, `PetscViewerHDF5PushTimestepping()`, `PetscViewerHDF5GetTimestep()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

## Implementations

PetscViewerHDF5SetDefaultTimestepping_HDF5() in src/sys/classes/viewer/impls/hdf5/impl/ihdf5v.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages